Subject: Re: [syzbot] KASAN: slab-out-of-bounds Read in add_adv_patterns_monitor

From: syzbot <[email-masked]>
Date: Sat, 20 Mar 2021 01:27:04 -0700

syzbot suspects this issue was fixed by commit:

commit b4a221ea8a1f890b50838ef389d016c7ff280abc
Author: Archie Pusaka <[email-masked]>
Date:   Fri Jan 22 08:36:11 2021 +0000

    Bluetooth: advmon offload MSFT add rssi support

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=14ef5ad6d00000
start commit:   b491e6a7 net: lapb: Add locking to the lapb module
git tree:       net
kernel config:  https://syzkaller.appspot.com/x/.config?x=be33d8015c9de024
dashboard link: https://syzkaller.appspot.com/bug?extid=3ed6361bf59830ca9138
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=10628ae8d00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=12964b80d00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: Bluetooth: advmon offload MSFT add rssi support

For information about bisection process see: https://goo.gl/tpsmEJ#bisection